
QGIS Application - Bug report #14816

no style backward compatibility

2016-05-13 01:25 PM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.9 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22771

Description

2.8.7 and prior versions

1. Create a style for a vector layer

2. Set style as default

2.8.9 onward

1. copy qgis.qmldb file (2.8.7 -) to 2.8.9+

2. Open same vector layer, no style has been applied

==================

2.8.7 and prior versions

1. Create a style for a vector layer

2. Save QGIS project

2.8.9 onward

1. Open QGIS project (style loaded fine)

2. Set style as deafult

3. Reopen QGIS: style not loaded

================== ==================

So I can only set default styles in QGIS 2.8.9 if I create them in the current version

2.8.9 onward

1. Create a style for a vector layer

2. Set style as default

3. Reopen QGIS and load the vector

4. Default style loaded

==================

I have to say, recreate styles for 150 layers will be a pain....

History

#1 - 2016-05-25 07:11 AM - Andre Jesus

copying a QMLDB file made in a 2.14.3 QGIS to another 2.14.3 QGIS also does not work
#2 - 2016-06-14 10:47 PM - Jürgen Fischer

- Subject changed from no style backward compatibily to no style backward compatibility

#3 - 2016-06-14 10:48 PM - Jürgen Fischer

- Category set to Project Loading/Saving

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
